Bug 1023912 - Multiple screensavers lock screen, cannot be unlocked
Multiple screensavers lock screen, cannot be unlocked
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
19
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 06:18 EDT by Sam Tuke
Modified: 2015-02-17 12:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:50:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Tuke 2013-10-28 06:18:29 EDT
Description of problem:
When the screen is automatically locked using Gnome 3, an alternative blue background screensaver appears which cannot be unlocked, instead the usual one.

Terminals cannot be used via ctrl+alt+F2 etc., and ctrl+backspace does not return a working login screen.

Possibly related to bug 1019405 [1]. However Cinnamon and cinnamon-screensaver are no longer installed, and cinnamon-screensaver process isn't running.

I don't know why there are apparently 2 different screensavers. I have KDE desktop installed, perhaps this is related.

https://bugzilla.redhat.com/show_bug.cgi?id=1019405

Version-Release number of selected component (if applicable):
gnome-screensaver 3.6.1

How reproducible:
Irregular

Steps to Reproduce:
1. Enable auto screen locking on monitor switchoff. 
2. Close laptop lid to hibernate.
3. Open lid to awaken
4. Observe the unusual blue background lockscreen
5. Attempt to unlock with password

Actual results:
Screen is unresponsive and unlockable

Expected results:
Screen is unlocked

Additional info:
Cinnamon is not installed. See bug 
https://bugzilla.redhat.com/show_bug.cgi?id=1019405
and https://bugzilla.redhat.com/show_bug.cgi?id=1021413
Comment 1 Fedora End Of Life 2015-01-09 15:23:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:50:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.